%!TEX program=lualatex

\PassOptionsToPackage{%
  usenames,%
  dvipsnames,%
  svgnames,%
  table,%
}{xcolor}

\documentclass[%
    aspectratio=1610,%
    ngerman,%
    american,%
    9pt,%
  ]{beamer}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% beamer setup
\usetheme[%
    sectionpage=circle,%
    subsectionpage=plain,%
    block=fill,%
    accent=dark,%
    numbering=fraction,%
    % titlepage=huge,%
    progressbar=head,%
  ]{ustutt}
\setbeamertemplate{itemize items}[circles ustutt]
% Our title is toooooo long, so we will shrink the font size of title and subtitle
\setbeamerfont{title}{%
  size=\large,%\LARGE,%
  series=\bfseries,%
}
\setbeamerfont{subtitle}{%
  size=\normalsize,%\large,%
}
%% END beamer setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document configuration

\usepackage{ustuttmath}
\usepackage{ustuttmechanics}
\usepackage{ustuttelectrics}
\usepackage{ustuttstatistics}
\usepackage{ustuttsystemdynamics}
\usepackage{ustutttext}

\usepackage{dsfont}
\usepackage{interval}
\usepackage{nth}
\usepackage{pgfplotstable}
\usepackage{media9}


\input{config/commands}

\DeclareDocumentCommand{\zeros}{ o }{%
  \IfValueTF{#1}{%
    \vect{0}_{#1}%
  }{%
    \vect{0}%
  }%
}%


\addbibresource{src-simtech.bib}


\usetikzlibrary{mechanics}
\usetikzlibrary{cdpr}
\usetikzlibrary{philipptempel}

\input{config/tikz/external}

\input{config/configuration}

\tdplotsetmaincoords{80}{110}

\colorlet{PrimaryColorVeryLight}{UStuttAnthraciteVeryLight}
\colorlet{PrimaryColorLight}{UStuttAnthraciteLight}
\colorlet{PrimaryColorLighter}{UStuttAnthraciteLighter}
\colorlet{PrimaryColor}{UStuttAnthracite}
\colorlet{PrimaryColorDarker}{UStuttAnthraciteDarker}
\colorlet{PrimaryColorDark}{UStuttAnthraciteDark}
\colorlet{PrimaryColorVeryDark}{UStuttAnthraciteVeryDark}

%% END document configuration
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document setup
\title[Dynamics of Cable Robots]{Dynamics of Cable-Driven Parallel Robots with Elastic and Flexible, Time-varying Length Cables}
\subtitle{Dissertation Defense Presentation}

% Dr.-cand.\@ Dipl.-Ing.\\
\author[Ph.\@ Tempel]{Philipp Tempel}

\institute[ISW \& SimTech, UStutt]{%
Institute for Control Engineering of Machine Tools and Manufacturing Units ISW\\%
Simulation Technology Graduate School, Excellence Cluster of Simulation Technology%
}

\date{tbd}

\titlegraphic{%
  \includegraphics[%
    trim={1250px 100px 0px 0px},% <left> <lower> <right> <upper>
    clip,%
    keepaspectratio,%
    width=\paperwidth,%
  ]{images/img_9913}%
}

\setlength{\intextsep}{1mm}

% \includeonlyframes{current}

%% END document setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newcommand{\maketableofcontents}{
  \begin{frame}
    \frametitle{\contentsname}

    % \tableofcontents
    \tableofcontents[hideallsubsections]
  \end{frame}
}

% Use for bi-lingual documents
\NewDocumentCommand{\trans}{m m}{%
  \ifcurrentbaselanguage{english}{#1}{\ifcurrentbaselanguage{ngerman}{#2}{#1}}%
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document
\begin{document}

\maketitle

\section{Foo}
\subsection{Bar}

\begin{frame}
\end{frame}

\begin{frame}[standout]
\end{frame}


\end{document}
%% END document
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
